<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.tc.mapper.UnitOtherConcatMapper">

    <update id="deleteByUnitIds">
        update unit_other_contact set del_flag = '2' where unit_id = #{id}
    </update>
    <update id="deleteByAssetIds">
        update unit_other_contact set del_flag = '2' where asset_id = #{id}
    </update>
    <delete id="deleteIdList">
        DELETE FROM unit_other_contact
        WHERE asset_id IN
        <foreach item="id" index="index" collection="idList" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>